package javax.net.ssl;

import java.security.PrivateKey;
import java.security.cert.X509Certificate;
import java.net.Socket;
import java.security.Principal;

public interface X509KeyManager extends KeyManager
{
    public abstract String[] getClientAliases(String p0, Principal[] p1);
    
    public abstract String chooseClientAlias(String[] p0, Principal[] p1, Socket p2);
    
    public abstract String[] getServerAliases(String p0, Principal[] p1);
    
    public abstract String chooseServerAlias(String p0, Principal[] p1, Socket p2);
    
    public abstract X509Certificate[] getCertificateChain(String p0);
    
    public abstract PrivateKey getPrivateKey(String p0);
}
